Bug 442513 - Review Request: php-pear-Cache-Lite - Fast and Safe little cache system for PHP
Review Request: php-pear-Cache-Lite - Fast and Safe little cache system for PHP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 05:06 EDT by Remi Collet
Modified: 2008-04-22 14:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 14:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2008-04-15 05:06:00 EDT
Spec URL: http://remi.fedorapeople.org/php-pear-Cache-Lite.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-Cache-Lite-1.7.3-1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/php-pear-Cache-Lite-build.log
Scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=566443

Description: 
This package is a little cache system optimized for file containers.
It is fast and safe (because it uses file locking and/or anti-corruption tests).

--
rpmlint is silent.

My goal is to remove the cache_lite bundled in GLPI to use the system one.
Comment 1 Johan Cwiklinski 2008-04-19 04:55:01 EDT
Review:
+ package builds in mock.
+ rpmlint is silent for SRPM and RPM.
+ source file are ok.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ BuildRequires are proper.
+ package installed properly.
+ Macro use appears rather consistent.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

APPROVED.
Comment 2 Remi Collet 2008-04-19 05:02:59 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: php-pear-Cache-Lite
Short Description: Fast and Safe little cache system for PHP
Owners: remi
Branches: F-7, F-8, EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 3 Remi Collet 2008-04-22 10:32:43 EDT
Add F-9 branch.

New Package CVS Request
=======================
Package Name: php-pear-Cache-Lite
Short Description: Fast and Safe little cache system for PHP
Owners: remi
Branches: F-7, F-8, F-9, EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-04-22 13:32:51 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.